# Implementation by David Svedberg (david.svedberg@angstrom.uu.se), 2021

Required add-ons for Matlab is the System Identification Toolbox. 
It is also required that CVX is installed (http://cvxr.com/cvx/download/).

The function samplinginstants simulates sampling instants from a Poisson 
mixture model based on the supplied data. 

The function findpeaks was implemented by Christensen, M.G. from the Multi-Pitch
Estimation Toolbox for the book Christensen, M.G., and Jakobsson, A., 
Multi-Pitch Estimation, Morgan & Claypool Publishers, 2009. 

The supplied data, normalized to be zero-mean and unit variance is derived from 

1) vostok.mat
J. R. Petit, J. Jouzel, D. Raynaud, N. Barkov, J. M. Barnola, I. Basile-
Doelsch et al., “Climate and Atmospheric History of the Past 420,000
Years from the Vostok Ice Core, Antarctica", Nature, vol. 399, pp.429-436, 06, 1999

F. Parrenin, J. Jouzel, C. Waelbroeck, C. Ritz, and J. M. Barnola,
“Dating the Vostok ice core by an inverse method,” Journal of
Geophysical Research: Atmospheres, vol. 106, no. D23, pp. 31 837–
31 851, 2001. [Online]. Available: https://agupubs.onlinelibrary.wiley.
com/doi/abs/10.1029/2001JD900245

2) taylorDome.mat
P. M. Grootes, E. J. Steig, and M. Stuiver, “The oxygen isotope record
from Taylor Dome, Antarctica,” EOS, Transactions of the American
Geophysical Union, no. 76, p. 176, 1994.

P. M. Grootes and E. J. Steig, “Low resolution stable isotopes of ice
core Taylor Dome,” 1994. [Online]. Available: https://doi.org/10.1594/
PANGAEA.473389

3) domefuji.mat
K. Kawamura, F. Parrenin, L. Lisiecki, R. Uemura, F. Vimeux, J. Severinghaus
et al., “Northern hemisphere forcing of climatic cycles in
antarctica over the past 360,000 years,” Nature, vol. 448, pp. 912–6, 09
2007.